---
title: Get
url: https://www.tines.com/docs/api/cases/tasks/get/
updated: 2025-10-02T15:00:42+00:00
description: Retrieve a single task from a specific case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Tasks](https://www.tines.com/llm/docs/api/cases/tasks.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/tasks/get/)*

## Description

Retrieve a single task from a specific case.

## Request

HTTP Method: **GET**

| Query Parameter | Description                     |
| --------------- | ------------------------------- |
| case_id         | The ID of the case.             |
| task_id         | The ID of the task to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/tasks/<<task_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified task.

### Field description

| Parameter | Description      |
| --------- | ---------------- |
| task      | The task object. |

#### Task object fields

| Parameter   | Description                                                                |
| ----------- | -------------------------------------------------------------------------- |
| id          | The task ID.                                                               |
| description | The task description.                                                      |
| completed   | Boolean indicating whether the task is completed.                          |
| assignees   | An array of users assigned to the task.                                    |
| created_at  | ISO 8601 Timestamp representing the date and time the task was created at. |
| updated_at  | ISO 8601 Timestamp representing the date and time the task was updated at. |

#### Assignee object fields

| Parameter  | Description            |
| ---------- | ---------------------- |
| id         | The user ID.           |
| email      | The user email.        |
| first_name | The user's first name. |
| last_name  | The user's last name.  |

### Sample response

<!-- cspell:disable -->

```json
{
  "task": {
    "id": 1,
    "description": "Review security logs",
    "completed": false,
    "assignees": [
      {
        "id": "123",
        "email": "user1@example.com",
        "first_name": "John",
        "last_name": "Doe"
      },
      {
        "id": "456",
        "email": "user2@example.com",
        "first_name": "Jane",
        "last_name": "Smith"
      }
    ],
    "created_at": "2024-03-25T15:40:39Z",
    "updated_at": "2024-03-25T15:40:39Z"
  }
}
```

<!-- cspell:enable -->
